POST /v1/user-favorites
POST/v1/user-favorites
Add an entity to the current user favorites (idempotent)
Request Body
| Name | Typ | Beschreibung |
|---|
entityTypeerforderlich | string | |
entityIderforderlich | string | |
labelerforderlich | string | |
secondaryLabel | string | |
patherforderlich | string | |
Beispiel
curl -X POST https://api.codemeta-os.de/v1/user-favorites \
-H "X-Tenant-Id: $TENANT" \
-H "Content-Type: application/json" \
-b cookies.txt \
-d '{
"entityType": "string",
"entityId": "string",
"label": "string",
"secondaryLabel": "string",
"path": "string"
}'
const result = await cm.user-favorites.post({
"entityType": "string",
"entityId": "string",
"label": "string",
"secondaryLabel": "string",
"path": "string"
});
Antwortcodes
| HTTP |
Bedeutung |
200 |
Default Response |